API referenceV2Export template
Get export template
curl -X GET "https://export-template-api.productsup.com/V2/export-templates/0"{
"exportTemplateId": 0,
"name": "string",
"encoding": "string",
"global": true,
"pseudo": true,
"allowXml": true,
"validDelimiter": "string",
"roiOptions": "string",
"accountId": 0,
"projectId": 0,
"siteId": 0,
"logoUrl": "string",
"createDelta": true,
"deltaKeyUnique": true,
"deltaNewFilename": "string",
"deltaChangedFilename": "string",
"deltaDeletedFilename": "string",
"deltaUnchangedFilename": "string",
"deltaSkippedFilename": "string",
"deltaSingleFile": true,
"customClassName": "string",
"defaultFilename": "string",
"unpublishedChanges": true,
"tags": [
{
"id": 0,
"key": "string",
"value": "string"
}
],
"attributeCount": 3,
"siteCount": 2,
"owner": {
"ownerId": "string"
},
"attributes": [
{
"id": 0,
"name": "string",
"alias": "string",
"mandatory": true,
"type": "optional",
"conditions": [],
"flag": "string",
"isDefaultTrackingColumn": true,
"isUniqueColumn": true,
"order": 0,
"deltaIgnore": true,
"deltaKey": true,
"automapIgnore": true,
"description": "string",
"format": "string",
"tags": [
{
"key": "string",
"value": "string"
}
],
"analyzerTests": [
{
"id": 0,
"templateId": "string",
"configuration": {},
"relevance": 0,
"mandatory": true
}
],
"examples": null
}
],
"customFormFields": [
{
"id": 0,
"name": "string",
"caption": "string",
"type": "string",
"placeholder": "string",
"data": "string",
"trigger": "string",
"order": 0
}
],
"exportMarketing": {
"id": 0,
"type": 0,
"publish": true,
"marketingTitle": "string",
"websiteLink": "string",
"landingPageLink": "string",
"featured": true,
"products": [],
"description": "string",
"priority": 0,
"helpLink": "string",
"exportCategoryIds": [],
"exportCountryIds": [],
"exportBrand": "string"
},
"metadata": {
"channelOwner": "string",
"lastReviewedOn": "2019-08-24T14:15:22Z",
"confidence": "string",
"helpCenterLink": "string",
"internalDocLink": "string",
"specificationsLink": "string",
"notes": "string"
},
"exportType": {
"type": "string",
"mainExportId": 0
},
"context": {
"accountIds": [
0
],
"projectIds": [
0
],
"siteIds": [
0
]
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}How is this guide?
Get JSON schema for export template GET
Returns the complete JSON schema for an export template including all fields with their validations converted from Analyzer Tests V2 into standard JSON Schema validation keywords (minLength, maxLength, pattern, minimum, maximum, etc.). This schema can be used for validation in both the current platform and NextGen.
List sites using an export template GET
Returns a paginated list of site-export template connections. Each connection (site_channel_id) is returned as an individual row.